#include <mega328p.h>
#include <alcd.h>
int s = 0; //    
interrupt [TIM1_COMPA] void timer1_compa_isr(void)
{  s++; //    
  if(s>99)   {s=0;}         //    99  
  #asm("wdr")     //   ,  
  TCNT1H=0x00 >> 8; TCNT1L=0x00 & 0xff;    //     
}

void main(void){
#pragma optsize-
CLKPR=0x80;CLKPR=0x00;
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif

TCCR1A=0x00;TCCR1B=0x05;
TCNT1H=0x00;TCNT1L=0x00;
ICR1H=0x00;ICR1L=0x00;
OCR1AH=0x02;OCR1AL=0xD0;       //0.1
OCR1BH=0x00;OCR1BL=0x00;
TIMSK1=0x02;
lcd_init(16);

#pragma optsize-
#asm("wdr")
WDTCSR=0x39;  WDTCSR=0x29; // Watchdog Timer Prescaler: OSC/1024k
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif
#asm("sei")

while (1) {
      //#asm("wdr") //     
      lcd_gotoxy(0,0);  //  0  X  Y
      lcd_putchar(s/10+0x30);lcd_putchar(s%10+0x30); // 
      }
}
